Sign Up

Info

Get user home directory

GET
/user-home-dir

Get the current user home directory path.

Response Body

OK

application/json
  1. response
dir*string
curl -X GET 'https://example.com/user-home-dir'
{  "dir": "string"}

Get version

GET
/version

Get the current daemon version

Response Body

OK

application/json
  1. response
[key: string]?string
curl -X GET 'https://example.com/version'
{  "property1": "string",  "property2": "string"}

Get working directory

GET
/work-dir

Get the current working directory path. This is default directory used for running commands.

Response Body

OK

application/json
  1. response
dir*string
curl -X GET 'https://example.com/work-dir'
{  "dir": "string"}